aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-apps-build-app.sh
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2018-10-23 19:51:53 +0200
committerRomain Forlot <romain.forlot@iot.bzh>2018-10-23 19:56:27 +0200
commit3c9cfcd4831944ab2f86783e456dfdac224de4ac (patch)
tree67454646c816f121f5b17004f8646641ddd64659 /jjb/common/include-apps-build-app.sh
parent9cb35cbfaf459c73105a9bb95ae0dfae3effb368 (diff)
Use generated autobuild script if none commited
It could be useful to not commit the autobuild script in the repository then you'll always use a generated autobuild script. Doing so you always use the most up-to-date autobuild script following the upstream version. If the script hasn't been generated during the build then fallback to the classic method 'make package'. Bug-AGL: SPEC-1832 Change-Id: I6a5e72ebb9254c7140e6ad7c31e02ba06fe2e0e0 Signed-off-by: Romain Forlot <romain.forlot@iot.bzh>
Diffstat (limited to 'jjb/common/include-apps-build-app.sh')
-rw-r--r--jjb/common/include-apps-build-app.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/jjb/common/include-apps-build-app.sh b/jjb/common/include-apps-build-app.sh
index 089a4ecd..d79c88eb 100644
--- a/jjb/common/include-apps-build-app.sh
+++ b/jjb/common/include-apps-build-app.sh
@@ -90,7 +90,12 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
pushd build
cmake ../
make
- make package || true
+ if test x"0" = x"$DONE" -a -f ../conf.d/autobuild/agl/autobuild ; then
+ ../conf.d/autobuild/agl/autobuild package DEST=$(pwd)/package
+ export isAUTOBUILD=1
+ else
+ make package || true
+ fi
popd
export isCMAKE=1
export DONE=1